# Introduction

Thank you for considering contributing to *newsapi\_client*. Every contribution helps make this library the best it can be!

# What kind of contributions am I looking for?

There are many ways to contribute to *newsapi\_client*, including spelling errors, more documentation, writing examples/tutorials, bug reports, feature requests and writing code.

I'm not looking for any larger features right now unless newsapi.org updates to v3 at some point, but if you have an idea you can open an issue and we can talk about it.

# Ground rules

- Make sure you format your code with dartfmt.
- Keep your code contributions small in scope.
- Make sure your commit messages are descriptive.
- Be welcoming of differing viewpoints and experiences from other contributors.

# Your first contribution.

If you're unsure where to start you can check if there are any issues marked with *good first issue* or *help wanted* and see if there's anything you would like to work on.

# Getting started.

- Fork this repository.
- Clone your repository.
- `git remote add upstream https://github.com/Salby/newsapi_client.git`
- `git fetch upstream` to make sure your fork is up-to-date.
- `git checkout upstream/master -b name_of_your_branch`
- Hack away.
- `git commit -a -m "<your informative commit message>"`
- `git push origin name_of_your_branch`

GitHub provides you with a link for submitting the pull request in the message output by `git push`.

# Code review process

When you have submitted your pull request I will take a look at it as soon as possible, and will provide feedback or suggest changes if necessary. If there is no response to feedback or suggested changes within 2 weeks, I will close the pull request.

If your pull request is approved, I will merge it with the master branch.

# Closing statements

Thank you for carefully reading this contributing guide for *newsapi\_client*. I appreciate every contribution. :raised_hands:
